Get Resource Action
Get resource action.
Get resource action.
Request
URI
GET
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/form-service/api/custom/resource-actions/{id}
COPY
Path Parameters
string
id
Required
id
Responses
200
'Success' with found ResourceAction
Returns
ResourceAction
of type(s)
*/*
{
"id": "string",
"name": "string",
"displayName": "string",
"description": "string",
"providerName": "string",
"resourceType": "string",
"status": "string",
"projectId": "string",
"orgId": "string",
"runnableItem": {
"id": "string",
"name": "string",
"description": "string",
"projectId": "string",
"type": "string",
"inputParameters": [
{
"type": "string",
"name": "string",
"description": "string"
}
],
"outputParameters": [
{
"type": "string",
"name": "string",
"description": "string"
}
],
"endpointLink": "string",
"inputBindings": [
{
"inputKey": "string",
"value": "string",
"type": {
"dataType": "string",
"referenceType": "string",
"fields": [
{
"label": "string",
"description": "string",
"signpost": "string",
"type": "FormSchemaFieldType Object",
"step": "number",
"default": {},
"valueList": {},
"placeholder": "string",
"constraints": {
"matchConstraint": {
"match": {}
},
"constraints": {
"constraints": {}
}
},
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"id": "string",
"valueTree": {}
}
],
"isMultiple": false
},
"bindingAction": {
"actionName": "string",
"actionInputs": [
"Binding Object"
]
}
}
]
},
"formDefinition": {
"tenant": "string",
"id": "string",
"name": "string",
"form": "string",
"styles": "string",
"sourceType": "string",
"sourceId": "string",
"type": "string",
"status": "string",
"createdDate": "string",
"modifiedDate": "string",
"formFormat": "string",
"providerRef": "string",
"externalSourceFormSchemas": [
{
"externalSourceId": "string",
"parentId": "string",
"elementId": "string",
"elementType": "string",
"facet": "string",
"parameters": [
{
"validatable": false,
"name": "string",
"isValidatable": false
}
]
}
]
},
"criteria": {
"matchExpression": [
{}
]
}
}
403
'Forbidden' no resource action viewing rights
Operation doesn't return any data structure
404
'Not Found' if there is no ResourceAction for specified ID
Operation doesn't return any data structure
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/form-service/api/custom/resource-actions/{id}
Resource Actions Operations
GET
List Actions
POST
Create Or Update Resource Action
POST
Generate Elements Runnable Item
POST
Get Resource Action Form Data
POST
Get External Value
POST
List External Values
POST
Lookup External Resources
GET
Get Resource Action
DELETE
Delete Resource Action
GET
Get Action Runnable Item
GET
Get Action Form
GET
Get Binding Action